Reference

Seats and numbers Twilio charges by the month

Flex named users, phone numbers and the other fees Twilio charges by the month, per month the range touches: how many were charged for and what each cost.

GET
/api/v1/providers/twilio/usage/monthly-fees

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

start*Start

First day, ISO 8601 (YYYY-MM-DD or a datetime)

end*End

Last day, ISO 8601 (YYYY-MM-DD or a datetime), included

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/providers/twilio/usage/monthly-fees?start=string&end=string"
{
  "success": true,
  "timestamp": "string",
  "data": {
    "items": [
      {
        "month": "string",
        "category": "string",
        "label": "string",
        "product": "string",
        "unit": "string",
        "quantity": 0,
        "cost": 0,
        "cost_per_unit": 0
      }
    ]
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
Ask the FinOps Agent about your cloud spend